/**
 * DogTest is a [driver] class which demonstrates the functionality
 * of the Dog class by reading in the name, age, weight, breed and
 * booster shot status of five dogs and then listing (print out) the
 * name and breed of those dogs which are greater than two years old
 * and have yet to recieve a booster shot.
 *
 * CS103 Homework 8 Solution (Problem 1)
 *
 * @author  Randy Phillips
 * @version 1.0
 */
public class DogTest
{
  public static void main(String[] args)
  {
    Dog[]    dog   = new Dog[5];
    String[] count = {"first", "second", "third", "fourth", "fifth"};

    // ask the user to enter the name, age, weight, breed and booster shot
    // status of five dogs, and store the respective values in the array
    // of Dog objects
    for (int i = 0; i < dog.length; i++)
    {
	  dog[i] = new Dog();  // initialize the Dog object at index i

	  // retrieve and store the name of the Dog object at index i
	  System.out.print("Enter the name of the " + count[i] + " dog: ");
	  dog[i].set(SavitchIn.readLine());

      // retrieve and store the age of the Dog object at index i
	  System.out.print("Enter the age (years) of the " + count[i] + " dog: ");
	  dog[i].set(SavitchIn.readLineInt());

      // retrieve and store the weight of the Dog object at index i
	  System.out.print("Enter the weight (lbs) of the " + count[i] + " dog: ");
	  dog[i].set(SavitchIn.readLineDouble());

      // retrieve and store the breed of the Dog object at index i
	  System.out.print("Enter the breed of the " + count[i] + " dog: ");
	  dog[i].setBreed(SavitchIn.readLine());

      // retrieve and store the booster shot status of the Dog object at index i
	  System.out.print("Has the " + count[i] + " dog had it's booster shot? [Y|N]: ");
	  switch (SavitchIn.readLineNonwhiteChar())
	  {
		case 'Y':
		case 'y':
		  dog[i].setBoosterShot(true);
		  break;

		case 'N':
		case 'n':
		  dog[i].setBoosterShot(false);
		  break;

		default:
		  dog[i].setBoosterShot(false);
	  }

	  System.out.println(); // print a new line
	}

    // list [print out] the name and breed of those dogs who are older than two years
    // and hve not received a booster shot
    System.out.println(
	  "The following dogs are older than 2 years and have not had their booster shot!"
	);

    int counter = 0;

	for (int i = 0; i < dog.length; i++)
	{
      if (dog[i].getAge() > 2 && !dog[i].hadBoosterShot())
      {
		  System.out.println(
			"\nName:  " + dog[i].getName() +
			"\nBreed: " + dog[i].getBreed()
		  );

		  counter++;
	  }
	}

    // handle the case where no dogs meet the given criteria
	if (counter == 0)
	  System.out.println("\nNo dogs meet the criteria.");

	System.out.println(); // print a new line
  }
}